# Install a Postgres extension, optionally adding it to shared_preload_libraries Source: https://docs.orchard.hackclub.com/api/operations/databases_extensions_create/ `POST /apiv1/databases/{id}/extensions` Operation ID: `databases_extensions_create` Auth: authenticated (scope: deploy) ## Parameters | Name | In | Required | Description | | --- | --- | --- | --- | | `id` | path | Yes | | ## Request body ```json { "properties": { "addToPreload": { "type": "boolean" }, "name": { "type": "string" } }, "required": [ "name" ], "type": "object" } ``` ## Responses ### 200: OK ```json { "additionalProperties": {}, "properties": { "output": { "type": "string" }, "preloadAdded": { "type": "boolean" }, "success": { "type": "boolean" } }, "required": [ "success", "output", "preloadAdded" ], "type": "object" } ```